declare module 'vue3-sfc-loader' {
  import type { Component } from 'vue';

  interface Options {
    moduleCache?: any;
    getFile: (url: string) => Promise<string>;
    addStyle: (textContent: string) => void;
    log?: (type: string, ...args: any[]) => void;
  }

  export function loadModule(url: string, options: Options): Promise<Component>;
}
